#ifndef _LIVEPATCH_BSC1204289_H
#define _LIVEPATCH_BSC1204289_H

#if IS_ENABLED(CONFIG_MAC80211)

int livepatch_bsc1204289_init(void);
void livepatch_bsc1204289_cleanup(void);


struct ieee80211_rx_data;
struct sk_buff_head;

void klpp_ieee80211_rx_handlers(struct ieee80211_rx_data *rx,
				  struct sk_buff_head *frames);

#else /* !IS_ENABLED(CONFIG_MAC80211) */

static inline int livepatch_bsc1204289_init(void) { return 0; }

static inline void livepatch_bsc1204289_cleanup(void) {}

#endif /* IS_ENABLED(CONFIG_MAC80211) */
#endif /* _LIVEPATCH_BSC1204289_H */
